Updates the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "97e5d668-2715-45c0-b25f-451b89e442f8",
"purchase_order_id": "fc5f850a-dd39-404b-8b19-ec9c8ffd5af5",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "9e5e09bd-e923-44c0-a9ff-93722259a3cc",
"id2": 2,
"jobs_id": "b6592bb7-d779-43aa-9033-19d287bd46c3",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "44f9ad4b-7653-4171-9605-2f6dcf2a27b6",
"supplier_company_code": "sample string 6",
"user_id": "bb45736c-4690-4933-a4f0-b10fa0dbc943",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-06T18:52:19.2102423+00:00",
"date_update": "2026-11-06T18:52:19.2102423+00:00",
"date_delivery": "2026-11-06T18:52:19.2102423+00:00",
"confirmed_date_delivery": "2026-11-06T18:52:19.2102423+00:00",
"delivery_db_address_id": "6f31447d-2e19-4e28-afdd-6515bf08548a",
"approved_by_user_id": "0e8d82d9-e347-49af-8dc9-69a1a5392f8d",
"approved_by_user_code": "sample string 18",
"technical_user_id": "70683cdf-ee03-4977-b149-2535863e75bd",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "83ea0dd1-0477-4cf5-bb91-4ace8b4846e9",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "d0d8ec04-097b-4197-b8b3-4e5bb9d66165",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-06T18:52:19.2102423+00:00"
},
"article_id": "925a1c65-e873-4422-baa1-e7b9c9b83750",
"article_code": "sample string 5",
"article": {
"id": "79a6131a-b3e8-42ca-b08a-63a789dc787d",
"article_category_id": "77d605d3-c767-4173-a376-c92b6a219908",
"article_category": {
"id": "e1ae87ee-e279-4529-92ec-4ad30c325be2",
"parent_id": "4b05f9ec-9a40-40a6-af9b-0eec39b9cc9e",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-06T18:52:19.2102423+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "e02f0481-4572-4e0a-8ff9-341631a731c4",
"article_group_1_code": "sample string 5",
"article_group_2_id": "7a580fe2-2100-4028-a427-feaf3d2595b1",
"article_group_2_code": "sample string 7",
"article_group_3_id": "38ca8ebc-bf2b-44de-a522-063142a47090",
"article_group_3_code": "sample string 9",
"article_group_4_id": "f70084fa-f8f7-45d5-8e3c-88277ec875c7",
"article_group_4_code": "sample string 11",
"article_group_5_id": "58cc7340-7e6e-4562-9294-56de1a93875f",
"article_group_5_code": "sample string 13",
"article_group_6_id": "ba9865ab-929e-4d93-a231-ab7fd4baaf13",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-06T18:52:19.2102423+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-06T18:52:19.2102423+00:00",
"date_update": "2026-11-06T18:52:19.2102423+00:00",
"modified_dateutc": "2026-11-06T18:52:19.2102423+00:00",
"article_color_id": "52804883-fde3-40bb-a847-8b7b23c0cc0b",
"article_color_code": "sample string 38",
"article_color": {
"id": "83a607b1-3160-4d32-b2af-a6b102342aaa",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-06T18:52:19.2102423+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "6e26adec-05bb-4813-bddf-4c03fc2eef1d",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "13e18b38-d760-4f4c-97e2-c6e104a059c6",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-06T18:52:19.2286347+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.